import React from 'react';
import cn from 'classnames';
import 'bem-cn-fast';
import { useTextStyles } from '../../typography/hooks.js';
import styles from './cta-block.module.pcss.js';

function CtaBlock({
  className,
  theme,
  classTopTitle,
  topTitle,
  classMainTitle,
  mainTitle,
  classContent,
  children,
  classButtons,
  buttons
}) {
  const textCn = useTextStyles(theme || 'dark');
  return React.createElement("div", {
    className: cn(className, styles.wrapper)
  }, React.createElement("div", {
    className: cn(styles.layout, 'ktl-layout ktl-layout--center')
  }, topTitle && React.createElement("div", {
    className: cn(classTopTitle, styles.topTitle, textCn('ktl-text-3'))
  }, topTitle), React.createElement("h2", {
    className: cn(classMainTitle, styles.mainTitle, textCn('ktl-hero'))
  }, mainTitle), children && React.createElement("div", {
    className: cn(classContent, styles.content)
  }, children), buttons && React.createElement("div", {
    className: cn(classButtons, styles.buttons)
  }, buttons)));
}

export { CtaBlock };
